org.apache.felix.ipojo.handlers.dependency

## Class NullableObject

- java.lang.Object
- - org.apache.felix.ipojo.handlers.dependency.NullableObject

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

    public class NullableObject
    extends java.lang.Object
    implements java.lang.reflect.InvocationHandler

Default nullable object.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`NullableObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)` Invokes a method on this null object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullableObject

    public NullableObject()

### Method Detail

#### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)

Invokes a method on this null object. The method will return a default value without doing anything.

Specified by:
  `invoke` in interface `java.lang.reflect.InvocationHandler`
Parameters:
  `proxy` - : proxy object
  `method` - : invoked method
  `args` - : arguments.
Returns:
  the returned value.
See Also:
  `InvocationHandler.invoke(java.lang.Object, java.lang.reflect.Method, java.lang.Object[])`